python3.4用matplotlib画图,最后用plt.show()画图输错问题

槿季ZH 发布于 2018/03/05 21:44
阅读 3K+
收藏 1

程序:

>>> import matplotlib.pyplot as plt
>>> plt.figure()
<Figure size 640x480 with 0 Axes>
>>> plt.show()

问题:

每次输入到最后 plt.show()后,会出现一个图,但是随后出现错误

错误提示:

Exception in Tkinter callback
Traceback (most recent call last):
  File "D:\python\lib\site-packages\matplotlib\backends\tkagg.py", line 26, in blit
    dataptr, colormode, bboxptr)
_tkinter.TclError: invalid command name "PyAggImagePhoto"

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "D:\python\lib\tkinter\__init__.py", line 1533, in __call__
    return self.func(*args)
  File "D:\python\lib\site-packages\matplotlib\backends\backend_tkagg.py", line 228, in resize
    self.draw()
  File "D:\python\lib\site-packages\matplotlib\backends\backend_tkagg.py", line 300, in draw
    tkagg.blit(self._tkphoto, self.renderer._renderer, colormode=2)
  File "D:\python\lib\site-packages\matplotlib\backends\tkagg.py", line 34, in blit
    dataptr, colormode, bboxptr)
_tkinter.TclError: error reading data, expected ptr height width
Exception in Tkinter callback
Traceback (most recent call last):
  File "D:\python\lib\site-packages\matplotlib\backends\tkagg.py", line 26, in blit
    dataptr, colormode, bboxptr)
_tkinter.TclError: error reading data, expected ptr height width

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "D:\python\lib\tkinter\__init__.py", line 1533, in __call__
    return self.func(*args)
  File "D:\python\lib\tkinter\__init__.py", line 582, in callit
    func(*args)
  File "D:\python\lib\site-packages\matplotlib\backends\backend_tkagg.py", line 320, in idle_draw
    self.draw()
  File "D:\python\lib\site-packages\matplotlib\backends\backend_tkagg.py", line 300, in draw
    tkagg.blit(self._tkphoto, self.renderer._renderer, colormode=2)
  File "D:\python\lib\site-packages\matplotlib\backends\tkagg.py", line 34, in blit
    dataptr, colormode, bboxptr)
_tkinter.TclError: error reading data, expected ptr height width
错误截图:

求大神帮忙!!!

加载中
0
wei2011
wei2011

py3.6下试没问题。可能你的 matplotlib 包安装有问题?pip重新装一下

0
renxuan
renxuan

包安装有问题,安装anaconda最简单

返回顶部
顶部